Skip to main content
curl "https://checkout.noxpay.io/v2/withdrawals?limit=20&offset=0" \
  -H "api-key: <key>"
import requests

response = requests.get(
    "https://checkout.noxpay.io/v2/withdrawals",
    headers={"api-key": "<key>"},
    params={"limit": 20, "offset": 0},
)
print(response.json())
const params = new URLSearchParams({ limit: 20, offset: 0 });
const response = await fetch(
  `https://checkout.noxpay.io/v2/withdrawals?${params}`,
  { headers: { "api-key": "<key>" } }
);
const data = await response.json();
{
  "version": "v2",
  "total": 3,
  "limit": 20,
  "offset": 0,
  "results": []
}

Query parameters

ParameterTypeDescription
limitintegerMax results per page (default: 20, max: 100)
offsetintegerPagination offset (default: 0)
group_idstringFilter by whitelist group ID
addressstringFilter by destination address
receive_currency_codestringFilter by currency code (e.g. USDT, BRL)

Response 200 OK

Each item in results has the same shape as the Get Withdrawal response.
curl "https://checkout.noxpay.io/v2/withdrawals?limit=20&offset=0" \
  -H "api-key: <key>"
import requests

response = requests.get(
    "https://checkout.noxpay.io/v2/withdrawals",
    headers={"api-key": "<key>"},
    params={"limit": 20, "offset": 0},
)
print(response.json())
const params = new URLSearchParams({ limit: 20, offset: 0 });
const response = await fetch(
  `https://checkout.noxpay.io/v2/withdrawals?${params}`,
  { headers: { "api-key": "<key>" } }
);
const data = await response.json();
{
  "version": "v2",
  "total": 3,
  "limit": 20,
  "offset": 0,
  "results": []
}